# Uses of Class
org.springframework.beans.factory.CannotLoadBeanClassException

Packages that use CannotLoadBeanClassException
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of CannotLoadBeanClassException in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that throw CannotLoadBeanClassException
Modifier and Type
Method
Description
`protected Class<?>`
AbstractBeanFactory.`resolveBeanClass(RootBeanDefinition mbd, String beanName, Class<?>... typesToMatch)`
Resolve the bean class for the specified bean definition, resolving a bean class name into a Class reference (if necessary) and storing the resolved Class in the bean definition for further use.